%bcond_with tests

%global _empty_manifest_terminate_build 0
%global pypi_name orjson

%global _description %{expand:
orjosn is a fast, correct Python JSON library supporting dataclasses,
datetimes, and numpy}

Summary:     Fast, correct Python JSON library
Name:        python-%{pypi_name}
Version:     3.9.5
Release:     1%{?dist}
Summary:     Fast, correct Python JSON library
License:     MIT
URL:         https://github.com/ijl/orjson
Source0:     %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-maturin
BuildRequires:  python3-pytest-forked
BuildRequires:  python3-rust2rpm

# for test
%if %{with tests}
BuildRequires:  python3-arrow
BuildRequires:  python3-faker
BuildRequires:  python3-numpy
BuildRequires:  python3-pendulum
BuildRequires:  python3-psutil
BuildRequires:  python3-pytest
BuildRequires:  python3-pytz
BuildRequires:  python3-typing-extensions
BuildRequires:  python3-xxhash
%endif

%description %_description

%package -n python3-%{pypi_name}
Summary:     Fast, correct Python JSON library

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%check
%if %{with tests}
%pytest
%endif

%files -n python3-%{pypi_name}
%license LICENSE-MIT
%doc README.md
%{python3_sitearch}/%{pypi_name}-%{version}.dist-info/
%{python3_sitearch}/orjson/
  
%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 3.9.5-1
- initial build
